package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TSysVersionMapper;
import com.ruoyi.business.domain.TSysVersion;
import com.ruoyi.business.service.ITSysVersionService;
import com.ruoyi.common.core.text.Convert;

/**
 * 系统版本更新记录Service业务层处理
 * 
 * @author xiatao
 * @date 2022-01-18
 */
@Service
public class TSysVersionServiceImpl implements ITSysVersionService 
{
    @Autowired
    private TSysVersionMapper tSysVersionMapper;

    /**
     * 查询系统版本更新记录
     * 
     * @param id 系统版本更新记录主键
     * @return 系统版本更新记录
     */
    @Override
    public TSysVersion selectTSysVersionById(Long id)
    {
        return tSysVersionMapper.selectTSysVersionById(id);
    }

    /**
     * 查询系统版本更新记录列表
     * 
     * @param tSysVersion 系统版本更新记录
     * @return 系统版本更新记录
     */
    @Override
    public List<TSysVersion> selectTSysVersionList(TSysVersion tSysVersion)
    {
        return tSysVersionMapper.selectTSysVersionList(tSysVersion);
    }

    /**
     * 新增系统版本更新记录
     * 
     * @param tSysVersion 系统版本更新记录
     * @return 结果
     */
    @Override
    public int insertTSysVersion(TSysVersion tSysVersion)
    {
        tSysVersion.setCreateTime(DateUtils.getNowDate());
        return tSysVersionMapper.insertTSysVersion(tSysVersion);
    }

    /**
     * 修改系统版本更新记录
     * 
     * @param tSysVersion 系统版本更新记录
     * @return 结果
     */
    @Override
    public int updateTSysVersion(TSysVersion tSysVersion)
    {
        tSysVersion.setUpdateTime(DateUtils.getNowDate());
        return tSysVersionMapper.updateTSysVersion(tSysVersion);
    }

    /**
     * 批量删除系统版本更新记录
     * 
     * @param ids 需要删除的系统版本更新记录主键
     * @return 结果
     */
    @Override
    public int deleteTSysVersionByIds(String ids)
    {
        return tSysVersionMapper.deleteTSysVersionByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除系统版本更新记录信息
     * 
     * @param id 系统版本更新记录主键
     * @return 结果
     */
    @Override
    public int deleteTSysVersionById(Long id)
    {
        return tSysVersionMapper.deleteTSysVersionById(id);
    }
}
